Package org.apache.tools.ant.attribute

# Interface EnableAttribute

All Known Implementing Classes:
  `BaseIfAttribute`, `IfBlankAttribute`, `IfBlankAttribute.Unless`, `IfSetAttribute`, `IfSetAttribute.Unless`, `IfTrueAttribute`, `IfTrueAttribute.Unless`

    public interface EnableAttribute

This interface is used by Ant attributes.

Since:
  Ant 1.9.1

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `isEnabled​(UnknownElement el, java.lang.String value)` | is enabled.

## Method Details

### isEnabled

boolean isEnabled​(UnknownElement el, java.lang.String value)
is enabled.

Parameters:
  `el` - the unknown element this attribute is in.
  `value` - the value of the attribute.
Returns:
  true if the attribute enables the element, false otherwise.